API ReferenceReports
Get Report
Get a single report, identified by reportName and format.
Authorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Path Parameters
reportName*string
The report name.
Value in
- "stops"
- "stopsStandardized"
- "stopsWithProductionTimes"
- "availability"
- "availabilityPerSku"
- "classifiedMinutes"
- "classifiedMinutesByMonth"
- "noData"
- "noDataMonthly"
- "machines"
- "generalCauses"
- "specificCauses"
- "components"
- "oeeCompaniesAvailability"
- "workLog"
- "productionAdvancements"
format*string
The format.
Value in
- "csv"
- "tsv"
- "json"
Query Parameters
start*string
The start of the date range to filter by.
Format
date-timeend*string
The end of the date range to filter by.
Format
date-timemachineIds*array<>
An array of machine IDs to filter by.
machinesGroupId*string
The machines group's ID.
Response Body
application/json
Try it live
curl -X GET "https://example.com/reports/stops.csv?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z&machineIds=0.1&machinesGroupId=string"{ "data": [ {} ]}